## libkscreen 0.0.71

=== debian/changelog ===
libkscreen (0.0.71-0ubuntu1) raring; urgency=low

  * Initial release
  * WORKAROUND: qjson's symbols say 0.7.1 is enonugh but upstream wants
    >= 0.8.0 use shlibs.local to bump dependency to >=0.8.0

 -- Achim Bohnet <allee@kubuntu.org>  Mon, 21 Jan 2013 00:13:23 +0100
