=== debian/control ===
Source: libkscreen
Priority: extra
Maintainer: Achim Bohnet <allee@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libkscreen
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkscreen
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkscreen

Package: libkscreen-dev
Section: libdevel
Architecture: any
Depends: libkscreen0 (= ${binary:Version}), libqt4-dev
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkscreen0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version})
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.
