=== debian/watch ===
# See uscan(1) for format
version=3
ftp://ftp.kde.org/pub/kde/unstable/libkscreen/([\d\.]+)/src/libkscreen-(.*)\.tar\.bz2
