## libkscreen 0.0.81

=== debian/changelog ===
libkscreen (0.0.81-0ubuntu2) raring; urgency=low

  * Set maintainer to Kubuntu Developers

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Mar 2013 21:43:43 +0100

libkscreen (0.0.81-0ubuntu1) raring; urgency=low

  * New upstream release candidate 
  * Add misc:Depends to libkscreen-dev depends to fix lintian warnings

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Mar 2013 21:35:52 +0100

libkscreen (0.0.71+git20130311-0ubuntu1) raring; urgency=low

  * New upstream snapshot. 

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 11 Mar 2013 21:05:45 +0800
