=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libkscreen
 Priority: extra
-Maintainer: Achim Bohnet <allee@kubuntu.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
 Standards-Version: 3.9.4
 Section: libs
@@ -11,7 +12,7 @@
 Package: libkscreen-dev
 Section: libdevel
 Architecture: any
-Depends: libkscreen0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version}), libqt4-dev
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
