## libkscreen 1.0.1

=== debian/changelog ===
libkscreen (1.0.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1208409)
  * Remove patch for the COPYING-CMAKE-SCRIPTS file
    since it is included in upstream already. 

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 04 Aug 2013 18:27:33 +0800

libkscreen (1.0-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1194495)
  * Rename libkscreen0 to libkscreen1 for new library version.
  * Update symbols file for libkscreen1.
  * Add KSC_*.so symbols to libkscreen1.symbols.
  * Make libkscreen1 break/replace libkscreen0 for KSC_*.so.
  * Add required XCB libraries as build dependencies.
  * Update copyright file.
  * Add patch to add missing COPYING-CMAKE-SCRIPTS file.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 25 Jun 2013 21:22:51 +0800

libkscreen (0.0.92-0ubuntu2) saucy; urgency=low

  * Add a symbols file 

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 May 2013 15:38:03 +0100

libkscreen (0.0.92-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 07 May 2013 00:13:36 +0100
