=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev, pkg-kde-tools, pkg-config, libx11-xcb-dev, libxcb-render-util0-dev, libxcb-image0-dev, libxcb-randr0-dev, libxcb-composite0-dev, libxcb-damage0-dev, libxcb-shape0-dev, libxcb-shm0-dev, libxcb-sync0-dev, libxcb-xfixes0-dev, libxcb1-dev, xcb-proto
 Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libkscreen
@@ -12,7 +12,7 @@
 Package: libkscreen-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version}), libqt4-dev
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
@@ -20,9 +20,11 @@
  .
  This package contains the files necessary for development.
 
-Package: libkscreen0
+Package: libkscreen1
 Section: libs
 Architecture: any
+Breaks: libkscreen0
+Replaces: libkscreen0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for screen management - shared library
  The KDE multiple monitor support is trying be as smart as possible
@@ -35,7 +37,7 @@
 Section: debug
 Architecture: any
 Recommends: libqt4-dbg
-Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version})
+Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version})
 Description: library for screen management - debug info
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
