=== debian/changelog ===
libkscreen (1.0.2-0ubuntu2) trusty; urgency=low

  * Build-depends on libxcb-sync-dev instead of libxcb-sync0-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 16:50:31 +0100

libkscreen (1.0.2-0ubuntu1) trusty; urgency=low

  [ Jackson Doak ]
  * New upstream release
  * Update debian/watch
  * Update symbols

  [ Jonathan Riddell ]
  * Update copyright file

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 23 Nov 2013 06:51:18 +1100
