=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 
 %:
 	dh $@ --dbg-package=libkscreen-dbg \
-	--list-missing
-
-#	--with=pkgkde-symbolshelper \
+	--list-missing \
+	--with=pkgkde-symbolshelper
 #	--parallel \
