## libkscreen 1.0.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
             screen.h
             config.h
             configmonitor.h
-            DESTINATION include/kscreen)
+            DESTINATION ${INCLUDE_INSTALL_DIR}/kscreen)
 
 if(NOT WIN32)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.pc.in ${CMAKE_CURRENT_BINARY_DIR}/kscreen.pc @ONLY)
