=== backends/xrandr/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
                                  ${KDE4_KDEUI_LIBS}
                                  ${X11_Xrandr_LIB}
                                  ${X11_LIBRARIES}
+                                 ${XCB_RANDR_LIBRARIES}
+                                 ${XCB_XCB_LIBRARIES}
                                  kscreen
 )
