=== debian/changelog ===
libkscreen (1.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash in configuration notification handling. (Closes: #755091)
  * Drop debian/patches/randr_documented_interface, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 Aug 2014 11:49:15 +0200

libkscreen (1.0.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Replace the libxcb-sync0-dev build dependency with libxcb-sync-dev.
  * Remove empty ${misc:Pre-Depends} substvar from libkscreen-dbg.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream patch: upstream_01_Fix-crash.patch
  * Remove upstream patch: upstream_02_Don-t-crash-when-printing-a-null-
    KScreen-Output-from.patch
  * New patch: randr_documented_interface (Closes: #751889)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 12 Jul 2014 12:56:32 +0200

libkscreen (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Add new upstream patch: upstream_01_Fix-crash.patch
  * Add new upstream patch: upstream_02_Don-t-crash-when-printing-a-
    null-KScreen-Output-from.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 May 2014 15:54:56 +0200

libkscreen (1.0.2-1) unstable; urgency=low

  [ Rohan Garg ]
  * Initial package (Closes: #731478)

  [ Maximiliano Curia ]
  * New patch: libdir.diff, install in the m-a paths.
  * New patch: plugins_in_ma_paths.diff.
  * Add autopkgtests.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Dec 2013 12:52:48 +0100
