=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel \
	    --with kde,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libkscreen-dbg

# Tests require libkscreen backends installed, even with xvfb-run
.PHONY: override_dh_auto_test
