=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/libkscreen/([\d\.]+)/src/libkscreen-(.*)\.tar\.xz
