## libkscreen 5.2.2

=== debian/changelog ===
libkscreen (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:34:45 -0700

libkscreen (4:5.2.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Use software transition flags for kscreen5->6
    Using versioned breaks/replaces instead of an unversioned
    conflicts.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:43:36 -0800

libkscreen (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:55:18 +0100

libkscreen (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * Update for soversion bump

  [ Philip Muškovac ]
  * Add plugin symbols to symbols file as they're shipped in the library
    package

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:32:51 +0100

libkscreen (5.1.2-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Dec 2014 14:37:52 +0100

libkscreen (5.1.1-0ubuntu2) vivid; urgency=medium

  * Add symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Nov 2014 15:36:31 +0100

libkscreen (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:48:54 +0100

libkscreen (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Add missing build depends for various xcb protocols.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 15:47:21 +0200

libkscreen (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:13:45 -0700

libkscreen (5.0.92-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream bugfix release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 16:57:26 +0200

libkscreen (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Fix rules
  * Update watch to http://download.kde.org
  * Update extra-cmake-modules depend version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:20:23 +0200

libkscreen (1.73-0ubuntu1) utopic; urgency=medium

  * New upstream RC release
  * Upstream renamed to libkscreen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:38:00 +0200

libkscreen2 (1.72-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:26:08 +0100
