## libkscreen 5.4.2

=== debian/changelog ===
libkscreen (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:57:41 +0100

libkscreen (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:20:02 +0100

libkscreen (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:53:03 +0100

libkscreen (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:17:17 +0200

libkscreen (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Non-maintainer upload.
  * Update symbols files: mark as optional the symbols gone after
    building with GCC 5

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 22 Jul 2015 20:00:44 +0200

libkscreen (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:41:59 -0700

libkscreen (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:40:13 +0000

libkscreen (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Manual merge kubuntu_stable. 

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:35:42 +0200

libkscreen (4:5.3.1-1~) wily; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:03 +0200

libkscreen (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:37 +0100

libkscreen (4:5.2.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Use software transition flags for kscreen5->6
    Using versioned breaks/replaces instead of an unversioned
    conflicts.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 17:18:18 +0100
