=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libkscreen.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libkscreen.git

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen6 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5 (<< 4:5.2.0)
Replaces: libkf5screen5 (<< 4:5.2.0)
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.
