=== debian/changelog ===
libkscreen (4:5.5.5-0ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Added lintian override for libkf5screen-bin being declared in
    symbols file. 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:47:51 -0700

libkscreen (4:5.5.4-2~ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Merge with debian git master

  [ Philip Muškovac ]
  * libkf5kscreen-bin breaks/replaces libkf5screen6 << 4:5.5.4-2~

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 21:25:30 +0100

libkscreen (4:5.5.4-2~) UNRELEASED; urgency=medium

  * Avoid circular dependencies.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 16:20:21 +0100

libkscreen (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Split -bin package from libkf5screen6.
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:59 +0100

libkscreen (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:49 +0100

libkscreen (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:36:03 +0100

libkscreen (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).
  * Update symbols files from buildds logs (4:5.4.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:07 +0200

libkscreen (4:5.4.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:53 +0100

libkscreen (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:14 +0200

libkscreen (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:59:24 +0200

libkscreen (4:5.3.2-2) unstable; urgency=medium

  * Update symbols files for gcc5 compatibility. (Closes: #791728)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 11:37:43 +0200

libkscreen (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 22:29:10 +0200

libkscreen (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:35:03 +0200
