=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.14.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libx11-xcb-dev,
@@ -14,14 +14,11 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               xauth,
-               xvfb
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.7
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libkscreen.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libkscreen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
 
 Package: libkf5screen-dev
 Section: libdevel
@@ -38,6 +35,7 @@
 
 Package: libkf5screen6
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5screen5 (<< 4:5.2.0)
 Replaces: libkf5screen5 (<< 4:5.2.0)
@@ -48,15 +46,15 @@
  .
  This package contains the shared library
 
-Package: libkscreen-dbg
-Section: debug
-Priority: extra
+Package: libkf5screen-bin
 Architecture: any
-Recommends: qtbase5-dbg
-Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
-Description: library for screen management - debug info
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen6 (<< 4:5.5.4-2~)
+Replaces: libkf5screen6 (<< 4:5.5.4-2~)
+Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
  of monitors as simple as plugging them to your computer.
  .
- This package contains the debugging symbols.
+ This package contains the library helpers and the corresponding dbus service.
